Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 122444 - System locks when ZIP discette mounted
Summary: System locks when ZIP discette mounted
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 2
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-04 16:16 UTC by victor lorenz
Modified: 2015-01-04 22:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-12-08 17:27:05 UTC


Attachments (Terms of Use)

Description victor lorenz 2004-05-04 16:16:04 UTC
Description of problem:
System freezes when zip discette mounted

Version-Release number of selected component (if applicable):

kernel 2.6.5-1.332 & 349 (was ok with 1.327)
How reproducible:
Always (either in Gnome or KDE)


Steps to Reproduce:
1.insert discette
2.mount volume
3.
  
Actual results:
system freezes

Expected results:

access to discette
Additional info:

Comment 1 victor lorenz 2004-05-04 17:41:12 UTC
Internal ATAPI  250 Zip Drive
/dev/hdb4

Comment 2 victor lorenz 2004-05-06 14:31:18 UTC
Works with version 1.351 (sort of). OK with GNome; mounts and ejects
r&W. However with KDE mounts but can't unmount; msg.  "device busy"

Comment 3 Yao Zhang 2004-07-27 20:02:40 UTC
Same problem with kernel 2.6.7-1.494.  Insert a zip disk, 'mount
/mnt/zip' will lock the whole system up.  Have to do hardware reset.
If the zip disk is in the drive while rebooting, the system locks up
and can not finish booting.

Comment 4 Dave Jones 2004-12-08 06:29:04 UTC
better with 2.6.9 update ?

Comment 5 victor lorenz 2004-12-08 14:04:26 UTC
Yes, Everything OK with 2.6.9.

Comment 6 Yao Zhang 2004-12-09 23:36:37 UTC
It still locks up on my system.

The /var/log/message contains following lines about my internal
ide zip 100 drive:

Dec  9 17:34:21 water kernel:     ide0: BM-DMA at 0xd800-0xd807, BIOS
settings: hda:DMA, hdb:DMA
Dec  9 17:34:21 water kernel:     ide1: BM-DMA at 0xd808-0xd80f, BIOS
settings: hdc:pio, hdd:DMA

Dec  9 17:34:21 water kernel: hdd: IOMEGA ZIP 100 ATAPI, ATAPI FLOPPY
drive

Dec  9 17:34:21 water kernel: hdd: No disk in drive
Dec  9 17:34:21 water kernel: hdd: 98304kB, 96/64/32 CHS, 4096 kBps,
512 sector size, 2941 rpm

Dec  9 17:34:21 water kernel: hdd: No disk in drive

First, only /dev/hdd showing up after booting.  No entry under
/media.

After insert a zip drive,
    mount /dev/hdd /mnt
locks up the whole system.  Have to press the reset button to reboot
the system.

Also tried to create other partitions by
    MAKEDEV hdd
and
    mount /dev/hdd4 /mnt
it still locks up.

And if I leave a zip disk in the drive while rebooting the machine,
it just hangs.

I cannot find any thing in /var/log/message while locks up happens.

Comment 7 victor lorenz 2004-12-10 00:15:50 UTC
  fstab shows /dev/hdb4 /media/zip250 vfat etc. Note use of 'media'
rather than 'mnt' with kernel 2.6.9. Had to set file system type to
"vfat" in order to read disks under Win 98.  Have to have zip disk in
drive at boot. Subsequently can umnount and change disks.  KDE
(Konquerer) at times problematic when attempting umount; "device busy"
msg. Gnome (My Computer -Nautilus?) never a problem.  HTH


Note You need to log in before you can comment on or make changes to this bug.